/*! Theme created with the Shuffle Editor (https://shuffle.dev) */

@import "artemis-extension/variables.scss";
@import "artemis-extension/maxmaxmax/variables.scss";
@import "../../node_modules/bulma/sass/utilities/initial-variables.sass";
@import "../../node_modules/bulma/sass/utilities/functions.sass";
@import "../../node_modules/bulma/sass/utilities/derived-variables.sass";

// Your variables
@import "custom-variables";

$orange-invert: findColorInvert($orange);
$yellow-invert: findColorInvert($yellow);
$green-invert: findColorInvert($green);
$turquoise-invert: findColorInvert($turquoise);
$cyan-invert: findColorInvert($cyan);
$blue-invert: findColorInvert($blue);
$purple-invert: findColorInvert($purple);
$red-invert: findColorInvert($red);

$primary-invert: findColorInvert($primary);
$primary-light: findLightColor($primary);
$primary-dark: findDarkColor($primary);
$info-invert: findColorInvert($info);
$info-light: findLightColor($info);
$info-dark: findDarkColor($info);
$success-invert: findColorInvert($success);
$success-light: findLightColor($success);
$success-dark: findDarkColor($success);
$warning-invert: findColorInvert($warning);
$warning-light: findLightColor($warning);
$warning-dark: findDarkColor($warning);
$danger-invert: findColorInvert($danger);
$danger-light: findLightColor($danger);
$danger-dark: findDarkColor($danger);
$light-invert: findColorInvert($light);
$dark-invert: findColorInvert($dark);

$link-invert: findColorInvert($link);
$link-light: findLightColor($link);
$link-dark: findDarkColor($link);

$colors: mergeColorMaps(
  (
    "white": (
      $white,
      $black,
    ),
    "black": (
      $black,
      $white,
    ),
    "light": (
      $light,
      $light-invert,
    ),
    "dark": (
      $dark,
      $dark-invert,
    ),
    "primary": (
      $primary,
      $primary-invert,
      $primary-light,
      $primary-dark,
    ),
    "link": (
      $link,
      $link-invert,
      $link-light,
      $link-dark,
    ),
    "info": (
      $info,
      $info-invert,
      $info-light,
      $info-dark,
    ),
    "success": (
      $success,
      $success-invert,
      $success-light,
      $success-dark,
    ),
    "warning": (
      $warning,
      $warning-invert,
      $warning-light,
      $warning-dark,
    ),
    "danger": (
      $danger,
      $danger-invert,
      $danger-light,
      $danger-dark,
    ),
  ),
  $custom-colors
);
$shades: mergeColorMaps(
  (
    "black-bis": $black-bis,
    "black-ter": $black-ter,
    "grey-darker": $grey-darker,
    "grey-dark": $grey-dark,
    "grey": $grey,
    "grey-light": $grey-light,
    "grey-lighter": $grey-lighter,
    "white-ter": $white-ter,
    "white-bis": $white-bis,
  ),
  $custom-shades
);
$sizes: $size-1 $size-2 $size-3 $size-4 $size-5 $size-6 $size-7;

@import "../../node_modules/bulma/sass/utilities/_all.sass";
@import "../../node_modules/bulma/sass/base/_all.sass";
@import "../../node_modules/bulma/sass/elements/_all.sass";
@import "../../node_modules/bulma/sass/form/_all.sass";
@import "../../node_modules/bulma/sass/components/_all.sass";
@import "../../node_modules/bulma/sass/grid/_all.sass";
@import "../../node_modules/bulma/sass/helpers/_all.sass";
@import "../../node_modules/bulma/sass/layout/_all.sass";

@import "artemis-extension/shuffle-extension.scss";

// Your styles
@import "custom-styles";
